# ApplicationFramework
TKTObj
TObj

# TObj_ReferenceIterator Class Reference

`#include <TObj_ReferenceIterator.hxx>`

Inheritance diagram for TObj_ReferenceIterator:

[legend]

## Public Member Functions

Standard_EXPORT | TObj_ReferenceIterator (const TDF_Label &theLabel, const Handle(Standard_Type)&theType=NULL, const Standard_Boolean theRecursive=Standard_True)
| Creates the iterator on references in partition theType narrows a variety of iterated objects.

## Protected Member Functions

virtual Standard_EXPORT void | MakeStep ()
| Shift iterator to the next object.
| Handle (Standard_Type) myType
| Type of objects to iterate on.

## Detailed Description

This class provides an iterator by references of the object (implements TObj_ReferenceIterator interface)

## Constructor & Destructor Documentation

Standard_EXPORT TObj_ReferenceIterator::TObj_ReferenceIterator | ( | const TDF_Label & | theLabel,
|  | const Handle(Standard_Type)& | theType = `NULL`,
|  | const Standard_Boolean | theRecursive = `Standard_True`
| ) |

## Member Function Documentation

TObj_ReferenceIterator::Handle | ( | Standard_Type |  | ) | `[protected]`

virtual Standard_EXPORT void TObj_ReferenceIterator::MakeStep | ( |  | ) | `[protected, virtual]`

| Internal methods Implements TObj_LabelIterator.

The documentation for this class was generated from the following file:

- TObj_ReferenceIterator.hxx